Skip to main content

Journal Events

To enable third-party systems to promptly obtain journal transfer results, Broker OpenAPI provides an asynchronous event push mechanism for journal transfer operations.

When the status of a journal transfer changes, the system delivers event notifications to subscribed clients, providing intermediate or final execution results.

Cash Journal Events

Cash Journal Event Notification

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "JOURNAL",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"from_account": "93IUJ28O9VO2KBGHDHR4H9",
"to_account": "41IO9QG4M5O65B0EA4LSJ4UJ99",
"client_request_id": "LJIS16BACHQG9LPP44L9IQHGAB",
"journal_id": "89JGKD4LKIVI5UU6L3KHNU10IA",
"amount": "100",
"currency": "USD",
"status": "CANCELED",
"reason": "xxxxxx",
"update_time": "2025-11-21T06:27:43.312Z",
"biz_type": "CASH_JOURNAL"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as JOURNAL
positionstringCursor for event replay; re-pushes subsequent events within the current business type.
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
from_accountstringFrom account id.
to_accountstringTo account id.
client_request_idstringClient Request ID, unique for each request.
journal_idstringRequest id generated by the system.
amountstringAmount
currencystringCurrency, See the currency field in the Query Cash Journal Detail API response.
statusstringRequest status, See the status field in the Query Cash Journal Detail API response.
reasonstringReason. If the terminal state is not “COMPLETED”, return the reason.
update_timestringUTC time, format: YYYY-MM-dd'T'HH:mm:ss.SSSZ.
biz_typestringBusiness type, fixed as CASH_JOURNAL